Bug 495574 - pdftk reading from standard input still fails with pipes
pdftk reading from standard input still fails with pipes
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: pdftk (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Jochen Schmitt
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 16:24 EDT by Raman Gupta
Modified: 2009-05-09 00:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.1.5-2.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-09 00:13:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Raman Gupta 2009-04-13 16:24:56 EDT
Description of problem:

Bug #49268 fixed reading from standard input for the most part.

The following works:

# pdftk foo.pdf - cat output foo1.pdf < foo.pdf

(foo1.pdf contains two copies of foo.pdf)

However, the following fails:

# cat foo.pdf | pdftk foo.pdf - cat output foo1.pdf
Error: Failed to open PDF file:
   /dev/stdin
Errors encountered.  No output created.
Done.  Input errors, so no output created.


Version-Release number of selected component (if applicable):

0:1.41-15.fc10

How reproducible:

100% of the time.
Comment 1 Jochen Schmitt 2009-04-21 12:33:03 EDT
Reported issue could verified.
Comment 2 Jochen Schmitt 2009-04-21 13:42:27 EDT
It will be nice, if you can tryout itext-2.1.5-2 and pdftk-1.41-17 from rawhide.

This releases should fix your reported bug.
Comment 3 Raman Gupta 2009-04-21 16:41:55 EDT
Hmm, those rawhide RPMs have all sorts of other dependencies, such as on gcc, so I'd rather not upgrade my machine at this time.

However, if you have verified those RPMs fix the bug, I can wait until Fedora 11 to try this out.

Thanks!
Comment 4 Raman Gupta 2009-04-21 16:42:58 EDT
One question, if I rebuild the rawhide source RPMs on Fedora 10, will the bug be fixed? Or is the fix dependent on some other RPMs?
Comment 5 Orcan Ogetbil 2009-04-21 17:04:38 EDT
You should be able to build them yourself on F-10. Note that you *have* to build pdftk against itext-2.1.5-2, for which you can download the SRPM from koji also.
Comment 6 Raman Gupta 2009-04-21 18:20:10 EDT
I rebuilt the source RPMs on F10 and can confirm this problem is fixed with itext-2.1.5-2 and pdftk-1.41-17.
Comment 7 Fedora Update System 2009-04-22 17:46:57 EDT
itext-2.1.5-2.fc10,pdftk-1.41-17.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/itext-2.1.5-2.fc10,pdftk-1.41-17.fc10
Comment 8 Fedora Update System 2009-04-27 17:19:45 EDT
itext-2.1.5-2.fc10, pdftk-1.41-17.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update itext pdftk'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-3902
Comment 9 Fedora Update System 2009-05-09 00:13:22 EDT
itext-2.1.5-2.fc10, pdftk-1.41-17.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.